import { HapClient } from "../HapClient";
import { log } from '../Types/types';
import { singleton } from 'tsyringe';

export interface IMonitorProps {
    log: log;
}

@singleton()
export class Monitor {
    private log: log;
    private api: any;
    private client: HapClient;

    constructor(props: IMonitorProps) {
        this.log = props.log;

        this.client = new HapClient({
            pin: "031-45-154",
            logger: this.log,
            config: {}
        });
    }
}